<?php
header('Content-Type: application/json', 'charset=UTF-8');
require_once __DIR__ . '/UsuarioController.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['id_usuario'])) {
    $id_usuario = $_POST['id_usuario'];
    $resultado = UsuarioController::eliminarUsuario($id_usuario);
    echo json_encode($resultado);

} else {
    http_response_code(400);
    echo json_encode([
        'estado' => 'error',
        'mensaje' => 'Método no permitido.'
    ]);
}

?>